Subject: [PATCH bpf v3 0/2] Fix kprobe_multi interface issues for 5.18

From: Eugene Syromiatnikov <[email-masked]>
Date: Wed, 18 May 2022 14:22:06 +0200

Hello.

While [1] seems to require additional work[2] due to changes
in the interface (and it has already been re-targeted for bpf-next),
I would like to ask to consider the following two patches, that fix
possible out-of-bounds write and properly disable the interface
for 32-bit compat user space, for the 5.18 release.  Thank you.

[1] https://lore.kernel.org/lkml/[email-masked]/
[2] https://lore.kernel.org/lkml/YoTXiAk1EpZ0rLKE@krava/

Eugene Syromiatnikov (2):
  bpf_trace: check size for overflow in bpf_kprobe_multi_link_attach
  bpf_trace: bail out from bpf_kprobe_multi_link_attach when in compat

 kernel/trace/bpf_trace.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

-- 
2.1.4